<?php

class MysqliWrapper extends mysqli {

	//mysql instance
	public static $db = null;

	/**
	* Return an instance of mysql db or create if it doesn't exist
	*/
	public static function getInstance () {

		if (self::$db) {

			return self::$db;
		}

		self::$db = new mysqli(MYSQL_HOST, MYSQL_USER, MYSQL_PASSWORD, MYSQL_DB);

		if (self::$db->connect_error) {

    		die('Erreur de connexion (' . self::$db->connect_errno . ') '
            . self::$db->connect_error);
		}

		return self::$db;
	}



}