<?php
/**
 * Created by PhpStorm.
 * User: Noa
 * Date: 09/04/2016
 * Time: 13:04
 */

class MiddlewareRender extends AbstractMiddleware {

    /**
     * @inheritDoc
     */
    public function action($param) {

        if (!is_null(Core::execFile())) {
            $template  = Core::template()->load(Core::execFile());
            $defaultParams = array(
                "jsScripts" => JsScriptMap::getFilePath(Core::execFile()),
                "cssFiles" => CssFileMap::getFilePath(Core::execFile()),
                "navbar" => true,
                "debug" => DEBUG
            );

            Core::set("optParams", array_merge($defaultParams, Core::optParams()));

            $template->display(Core::optParams());
        }

    }
}