<!doctype html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <title>Cloud</title>
    {% for cssFile in cssFiles %}
        {% if is_array(cssFile) and cssFile.interpolated %}
            <style type="text/css">{% include cssFile.src %}</style>
        {% else %}
            <link href="{{ cssFile }}" rel="stylesheet">
        {% endif %}
    {% endfor %}

</head>
<body>

{% include "navbar.html.tpl" if navbar %}

{% block content %}
{% endblock %}

{% include "footer.html.tpl" %}