<?php
/**
 * Created by PhpStorm.
 * User: Noa
 * Date: 30/03/2016
 * Time: 21:56
 */

class JsScriptMap {

    public static function getFilePath($page) {
        if(isset(self::$mapJs[$page])) {
            return array_merge(self::$defaultFiles, self::$mapJs[$page]);
        }
        return self::$defaultFiles;

    }

    private static $defaultFiles = array(
        "/bower_components/jquery/dist/jquery.min.js",
        "/bower_components/bootstrap/dist/js/bootstrap.min.js",
    );

    private static $mapJs = array (

        'home.html.tpl' => array(
            "/bower_components/bootstrap-tabs-x/js/bootstrap-tabs-x.min.js",
            '/js/admin.js'
            //array('src' => "../js/admin.js", 'interpolated' => true),
        ),

    );
}

class CssFileMap {

    public static function getFilePath($page) {
        if(isset(self::$mapCss[$page])) {
            return array_merge(self::$defaultFiles, self::$mapCss[$page]);
        }
        return self::$defaultFiles;

    }

    private static $defaultFiles = array(
        '/bower_components/bootstrap/dist/css/bootstrap.min.css',
        '/bower_components/bootstrap-tabs-x/css/bootstrap-tabs-x.min.css',
        '/css/debug.css'
    );

    public static $mapCss = array (

        'home.html.tpl' => array(
            '/css/debug.css'
        ),

    );
}