<?php
/**
 * Created by PhpStorm.
 * User: Noa
 * Date: 09/04/2016
 * Time: 11:43
 */

class MiddlewarePassword extends AbstractMiddleware {

    /**
     * @inheritDoc
     */
    public function action($param) {

        //If user isn't logged, redirect him toward login page
        if (!Auth::isLogged() and !isset($_GET['redirection'])) {

            header('Location: /admin/login.php?redirection='.rawurlencode($_SERVER['REQUEST_URI']));

        } else if (Auth::isLogged()){

            $redirection = isset($_GET['redirection']) ? $_GET['redirection'] : '';

            if ($redirection != "") {

                $location = rawurldecode($redirection);

                header('Location: '.$location);
            }

        }

    }
}